org.apache.felix.ipojo.arch.gogo

## Class Arch

- java.lang.Object
- - org.apache.felix.ipojo.arch.gogo.Arch

    public class Arch
    extends java.lang.Object

iPOJO Arch command giving information about the current system architecture. This is a Gogo command.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`Arch()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `component(java.lang.String name)` Displays the information about a specific factory.
`void` `components()` Displays the list of public iPOJO factories.
`void` `extensions()` Displays the list of available extensions.
`void` `factories()` Displays the list of public iPOJO factories.
`void` `factory(java.lang.String name)` Displays the information about a specific factory.
`void` `handlers()` Displays the list of available handlers.
`void` `instance(java.lang.String instance)` Displays the architecture of a specific instance.
`void` `instances()` Displays iPOJO instances.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Arch

    public Arch()

### Method Detail

#### instances

    public void instances()

Displays iPOJO instances.

#### instance

    public void instance(java.lang.String instance)

Displays the architecture of a specific instance.

Parameters:
  `instance` - the instance name

#### component

    public void component(java.lang.String name)

Displays the information about a specific factory. Note that factory name are not unique, so all matching factories are displayed.

Parameters:
  `name` - the factory name

#### factory

    public void factory(java.lang.String name)

Displays the information about a specific factory. Note that factory name are not unique, so all matching factories are displayed.

Parameters:
  `name` - the factory name

#### components

    public void components()

Displays the list of public iPOJO factories.

#### factories

    public void factories()

Displays the list of public iPOJO factories.

#### handlers

    public void handlers()

Displays the list of available handlers.

#### extensions

    public void extensions()

Displays the list of available extensions.